Package htsjdk.samtools.util

# Class FormatUtil

java.lang.Object
htsjdk.samtools.util.FormatUtil

public class FormatUtil extends Object
Simple class used to format object values into a standard format for printing.

## Field Summary

Fields
Modifier and Type
Field
Description
`static final int`
`DECIMAL_DIGITS_TO_PRINT`

## Constructor Summary

Constructors
Constructor
Description
`FormatUtil()`
Constructs a new FormatUtil and initializes various internal formatters.

## Method Summary

Modifier and Type
Method
Description
`String`
`format(boolean value)`
Formats a boolean value to a String.
`String`
`format(char value)`
Formats a char as a string.
`String`
`format(double value)`
Formats a double to a floating point string.
`String`
`format(float value)`
Formats a float to a floating point string.
`String`
`format(int value)`
Formats an int to an integer string.
`String`
`format(long value)`
Formats a long to an integer string.
`String`
`format(short value)`
Formats a short to an integer string.
`String`
`format(Iso8601Date value)`
Formats date invalid input: '&' time
`String`
`format(Enum value)`
Formats an enum to the String representation of an enum.
`String`
`format(Object value)`
Attempts to determine the type of value and format it appropriately.
`String`
`format(Date value)`
Formats a date to a date string without time.
`boolean`
`parseBoolean(String value)`
Parses a String into a boolean, as per the above convention that true = Y and false = N.
`char`
`parseChar(String value)`
Parses a String into a char.
`Date`
`parseDate(String value)`
Parses a String into a date.
`double`
`parseDouble(String value)`
Parses a String into a double.
`<E extends Enum>
E`
`parseEnum(String value, Class<E> type)`
Parses a String into an Enum of the given type.
`float`
`parseFloat(String value)`
Parses a String into a float.
`int`
`parseInt(String value)`
Parses a String into an int.
`Iso8601Date`
`parseIso8601Date(String value)`
Parse a String into an Iso8601 Date
`long`
`parseLong(String value)`
Parses a String into a long.
`Object`
`parseObject(String value, Class<?> returnType)`
Attempts to determine the correct parse method to call based on the desired return type and then parses the String and returns the value.
`short`
`parseShort(String value)`
Parses a String into a short.

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

## Field Details

### DECIMAL_DIGITS_TO_PRINT

public static final int DECIMAL_DIGITS_TO_PRINT

See Also:
  - Constant Field Values

## Constructor Details

### FormatUtil

public FormatUtil()
Constructs a new FormatUtil and initializes various internal formatters. This is necessary because SimpleDateFormat and other formatters are not threadsafe.

## Method Details

### format

public String format(short value)
Formats a short to an integer string.

### format

public String format(int value)
Formats an int to an integer string.

### format

public String format(long value)
Formats a long to an integer string.

### format

public String format(float value)
Formats a float to a floating point string.

### format

public String format(double value)
Formats a double to a floating point string.

### format

public String format(char value)
Formats a char as a string.

### format

public String format(Enum value)
Formats an enum to the String representation of an enum.

### format

public String format(Date value)
Formats a date to a date string without time.

### format

public String format(Iso8601Date value)
Formats date invalid input: '&' time

### format

public String format(boolean value)
Formats a boolean value to a String.

### format

public String format(Object value)
Attempts to determine the type of value and format it appropriately.

### parseShort

public short parseShort(String value)
Parses a String into a short.

### parseInt

public int parseInt(String value)
Parses a String into an int.

### parseLong

public long parseLong(String value)
Parses a String into a long.

### parseFloat

public float parseFloat(String value)
Parses a String into a float.

### parseDouble

public double parseDouble(String value)
Parses a String into a double.

### parseEnum

public <E extends Enum> E parseEnum(String value, Class<E> type)
Parses a String into an Enum of the given type.

### parseDate

public Date parseDate(String value)
Parses a String into a date.

### parseIso8601Date

public Iso8601Date parseIso8601Date(String value)
Parse a String into an Iso8601 Date

### parseBoolean

public boolean parseBoolean(String value)
Parses a String into a boolean, as per the above convention that true = Y and false = N.

### parseChar

public char parseChar(String value)
Parses a String into a char. We expect the String to have a length of exactly one, otherwise throw an exception.

### parseObject

public Object parseObject(String value, Class<?> returnType)
Attempts to determine the correct parse method to call based on the desired return type and then parses the String and returns the value.

Parameters:
  `value` - the String value to be parsed
  `returnType` - the desired return type
Returns:
  an object of the returnType